## org.exist.memtree
Class NamespaceNode

    java.lang.Object
      org.exist.memtree.NodeImpl
          org.exist.memtree.NamespaceNode

All Implemented Interfaces:
  org.w3c.dom.Attr, java.lang.Comparable, Item, org.w3c.dom.Node, NodeValue, QNameable, Sequence

public class NamespaceNode
extends NodeImpl
implements org.w3c.dom.Attr, QNameable

A dynamically constructed namespace node. Used to track namespace declarations in elements. Implements Attr, so it can be treated as a normal attribute.

Author:
  wolf

Field Summary

Fields inherited from class org.exist.memtree.NodeImpl
`NAMESPACE_NODE, REFERENCE_NODE`

Fields inherited from interface org.w3c.dom.Node
`ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

Fields inherited from interface org.exist.xquery.value.NodeValue
`IN_MEMORY_NODE, PERSISTENT_NODE`

Fields inherited from interface org.exist.xquery.value.Sequence
`EMPTY_SEQUENCE`

Constructor Summary
`NamespaceNode(DocumentImpl doc, int nodeNumber)`

Method Summary
`java.lang.String` `getLocalName()`
`java.lang.String` `getName()`
`java.lang.String` `getNamespaceURI()`
`java.lang.String` `getNodeName()`
`short` `getNodeType()`
`java.lang.String` `getNodeValue()`
`org.w3c.dom.Element` `getOwnerElement()`
`java.lang.String` `getPrefix()`
`QName` `getQName()`
`org.w3c.dom.TypeInfo` `getSchemaTypeInfo()` ? @see org.w3c.dom.Attr#getSchemaTypeInfo()
`boolean` `getSpecified()`
`int` `getType()` Return the type of this item according to the type constants defined in class `Type`.
`java.lang.String` `getValue()`
`boolean` `isId()` ? @see org.w3c.dom.Attr#isId()
`void` `setValue(java.lang.String value)`
`java.lang.String` `toString()`

Methods inherited from class org.exist.memtree.NodeImpl

`add, addAll, addContextNode, after, appendChild, atomize, before, clearContext, cloneNode, compareDocumentPosition, compareTo, conversionPreference, convertTo, copyTo, deepCopy, effectiveBooleanValue, equals, equals, expand, getAttributes, getBaseURI, getCardinality, getChildNodes, getDocument, getDocumentSet, getFeature, getFirstChild, getImplementationType, getItemType, getLastChild, getLength, getNextSibling, getNode, getNodeNumber, getOwnerDocument, getParentNode, getPreviousSibling, getStringValue, getTextContent, getUserData, hasAttributes, hasChildNodes, hasMany, hasOne, insertBefore, isCached, isDefaultNamespace, isEmpty, isEqualNode, isPersistentSet, isSameNode, isSupported, itemAt, iterate, lookupNamespaceURI, lookupPrefix, normalize, removeChild, removeDuplicates, replaceChild, setIsCached, setNodeValue, setPrefix, setSelfAsContext, setTextContent, setUserData, streamTo, toJavaObject, toNodeSet, toSAX, toSequence, unorderedIterator`

Methods inherited from class java.lang.Object
`getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.w3c.dom.Node
`appendChild, cloneNode, getAttributes, getChildNodes, getFirstChild, getLastChild, getNextSibling, getOwnerDocument, getParentNode, getPreviousSibling, hasAttributes, hasChildNodes, insertBefore, isSupported, normalize, removeChild, replaceChild, setNodeValue, setPrefix`

Constructor Detail

### NamespaceNode

    public NamespaceNode(DocumentImpl doc,
                         int nodeNumber)

Parameters:
  `doc` -
  `nodeNumber` -

Method Detail

### getNodeType

    public short getNodeType()

  Specified by:
    `getNodeType` in interface `org.w3c.dom.Node`
  Overrides:
    `getNodeType` in class `NodeImpl`

### getType

    public int getType()

  Description copied from interface: `Item`
  Return the type of this item according to the type constants defined in class `Type`.

  Specified by:
    `getType` in interface `Item`
  Overrides:
    `getType` in class `NodeImpl`

### getPrefix

    public java.lang.String getPrefix()

  Specified by:
    `getPrefix` in interface `org.w3c.dom.Node`
  Overrides:
    `getPrefix` in class `NodeImpl`

### getNamespaceURI

    public java.lang.String getNamespaceURI()

  Specified by:
    `getNamespaceURI` in interface `org.w3c.dom.Node`
  Overrides:
    `getNamespaceURI` in class `NodeImpl`

### getSpecified

    public boolean getSpecified()

  Specified by:
    `getSpecified` in interface `org.w3c.dom.Attr`

### getQName

    public QName getQName()

  Specified by:
    `getQName` in interface `QNameable`
  Overrides:
    `getQName` in class `NodeImpl`

### getLocalName

    public java.lang.String getLocalName()

  Specified by:
    `getLocalName` in interface `org.w3c.dom.Node`
  Overrides:
    `getLocalName` in class `NodeImpl`

### getNodeName

    public java.lang.String getNodeName()

  Specified by:
    `getNodeName` in interface `org.w3c.dom.Node`
  Overrides:
    `getNodeName` in class `NodeImpl`

### getName

    public java.lang.String getName()

  Specified by:
    `getName` in interface `org.w3c.dom.Attr`

### getValue

    public java.lang.String getValue()

  Specified by:
    `getValue` in interface `org.w3c.dom.Attr`

### setValue

    public void setValue(java.lang.String value)
                  throws org.w3c.dom.DOMException

  Specified by:
    `setValue` in interface `org.w3c.dom.Attr`
  Throws:
    `org.w3c.dom.DOMException`

### getNodeValue

    public java.lang.String getNodeValue()
                                  throws org.w3c.dom.DOMException

  Specified by:
    `getNodeValue` in interface `org.w3c.dom.Node`
  Overrides:
    `getNodeValue` in class `NodeImpl`
  Throws:
    `org.w3c.dom.DOMException`

### getOwnerElement

    public org.w3c.dom.Element getOwnerElement()

  Specified by:
    `getOwnerElement` in interface `org.w3c.dom.Attr`

### getSchemaTypeInfo

    public org.w3c.dom.TypeInfo getSchemaTypeInfo()

  ? @see org.w3c.dom.Attr#getSchemaTypeInfo()

### isId

    public boolean isId()

  ? @see org.w3c.dom.Attr#isId()

### toString

    public java.lang.String toString()

Copyright (C) Wolfgang Meier. All rights reserved.